/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_CALPERSON') 
 CREATE TABLE T_HCSI_CALPERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FSINSURTASKID BIGINT DEFAULT 0 NOT NULL,
FSINSURFILEVID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FWELFAREPAYERID BIGINT DEFAULT 0 NOT NULL,
FCALSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSINSURSTDVID BIGINT DEFAULT 0 NOT NULL,
FSINSURSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_CALPERSONENTRY') 
 CREATE TABLE T_HCSI_CALPERSONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSURANCEITEMID BIGINT DEFAULT 0 NOT NULL,
FNUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSTORAGETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FISNULL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_SINSURADJDETAIL') 
 CREATE TABLE T_HCSI_SINSURADJDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL,
FINSURANCEITEMID BIGINT DEFAULT 0 NOT NULL,
FOLDVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FNEWVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_SINSURGENDETAIL') 
 CREATE TABLE T_HCSI_SINSURGENDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FSINSURGENRECORDID BIGINT DEFAULT 0 NOT NULL,
FSINSURFILEVID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FWELFAREPAYERID BIGINT DEFAULT 0 NOT NULL,
FSINSURSTDVID BIGINT DEFAULT 0 NOT NULL,
FFAILREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_SINSURGENRECORD') 
 CREATE TABLE T_HCSI_SINSURGENRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FSINSURTASKID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FGENSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FWELFAREPAYERID BIGINT DEFAULT 0 NOT NULL,
FFILECOUNT INT DEFAULT 0 NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FGENDURATION VARCHAR(20) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_SINSURTASK') 
 CREATE TABLE T_HCSI_SINSURTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FWELFAREPAYERID BIGINT DEFAULT 0 NOT NULL,
FSINSURSTDVID BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERSONCOUNT INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_table.sql **/