﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_INSURPUSHLOG') 
 CREATE TABLE T_HCSI_INSURPUSHLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FPUSHTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPUSHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FTOTAL INT DEFAULT 0 NOT NULL,
FSUCCESS INT DEFAULT 0 NOT NULL,
FFAIL INT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FBATCHID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_LOGCALLENT') 
 CREATE TABLE T_HCSI_LOGCALLENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSINSURFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FBATCHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_LOGCALLFAILENT') 
 CREATE TABLE T_HCSI_LOGCALLFAILENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSINSURFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FFAILREASON VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FBATCHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSI_LOGPUSHFAILENT') 
 CREATE TABLE T_HCSI_LOGPUSHFAILENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSINSURFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FSINSURPERIODID BIGINT DEFAULT 0 NOT NULL,
FFAILREASON VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FBATCHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCALPERSONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSI_CALPERSON' AND KSQL_COL_NAME ='FPUSHSTATUS') 
 ALTER TABLE T_HCSI_CALPERSON ADD (FPUSHSTATUS VARCHAR(10) DEFAULT 'notpush' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSI_CALPERSON' AND KSQL_COL_NAME ='FPUSHLOGID') 
 ALTER TABLE T_HCSI_CALPERSON ADD (FPUSHLOGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSI_CALPERSON' AND KSQL_COL_NAME ='FBATCHID') 
 ALTER TABLE T_HCSI_CALPERSON ADD (FBATCHID VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSI_table.sql **/
